package config

import (
	"kpt-pasture/http/middleware"

	"gitee.com/xuyiping_admin/pkg/apierr"
	"gitee.com/xuyiping_admin/pkg/ginutil"
	"github.com/gin-gonic/gin"
)

func BarnTypeList(c *gin.Context) {
	res, err := middleware.Dependency(c).StoreEventHub.OpsService.BarnTypeList(c)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, res)
}
