package route

import (
	"kpt-pasture/http/handler/config"

	"github.com/gin-gonic/gin"
)

func ConfigAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// pasture API 组  牧场管理
		pastureRoute := authRouteGroup(s, "/api/v1/config/")
		pastureRoute.GET("/barn/type/list", config.BarnTypeList)
	}
}
