package route

import (
	"kpt-pasture/http/handler/pasture"

	"github.com/gin-gonic/gin"
)

func PastureManageAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// pasture API 组  牧场管理
		pastureRoute := authRouteGroup(s, "/api/v1/pasture/")
		pastureRoute.POST("/barn/list", pasture.SearchBarnList)
		pastureRoute.POST("/barn/createOrUpdate", pasture.CreatedOrUpdateBarn)
	}
}
